For the complete documentation index, see llms.txt. This page is also available as Markdown.

Unapprove a customer

Removes a customer's bidding approval.

When the shop's Auction participants setting is set to Invited customers, the customer will no longer be able to bid until approved again.

post
Authorizations
AuthorizationstringRequired

You can retrieve your token by visiting Settings > API and clicking Generate Public Token.

Path parameters
idstringRequired

The customer ID.

Example: 1c6af60by54hzdmgxy5ab4ypw0
Query parameters
fields[customers]stringOptional

Available values are name, firstName, lastName, externalId, email, registeredAt, approvedAt, bannedAt, createdAt. You can include multiple values by separating them with a comma.

Responses
200

CustomerResource

application/vnd.api+json
post/customers/{id}/unapprove
POST /v1/customers/{id}/unapprove HTTP/1.1
Host: api.auctionplusapp.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "data": {
    "id": "2jd4kywr4526zefvd26qjnpsbm",
    "type": "customers",
    "attributes": {
      "name": "Garnett Harvey",
      "firstName": "Garnett",
      "lastName": "Harvey",
      "externalId": "4235075445",
      "email": "sterry@example.org",
      "registeredAt": "2026-09-17T19:51:43.000000Z",
      "approvedAt": "2026-09-17T19:51:43.000000Z",
      "bannedAt": null,
      "createdAt": "2026-09-24T19:51:43.000000Z"
    }
  }
}

Last updated